Subject: Re: bug#35739: Bad signature from GNU ELPA

From: Stefan Monnier <[email-masked]>
Date: Thu, 23 May 2019 08:10:41 -0400

>> There is, because the routine that extracts the "raw bytes" is url-insert
>> which (until my patch) also did the decoding according to the "charset"
>> specified in the HTTP headers returned by the server (if present).
>> IOW it didn't always return the raw bytes.
>
> Then how about an optional argument to disable 'charset' handling
> instead?  That'd be backward-compatible.

I think people have already enough trouble dealing with character
encodings that we shouldn't encourage them to put decoded text into
unibyte buffers (I don't even know where/if the semantics of this is
described somewhere in our manuals or code).

IOW, from where I stand, the change in behavior is just fixing
a long-standing bug.

        Stefan